<!-- Copyright (c) 2018 by SAS Institute Inc., Cary, NC 27513 -->
<!-- dashboard/edit.jsp -->
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.sas.portal.portlet.toolkit.rfs.*"%>
<%@ page import="javax.portlet.*"%>
<%@ page import="com.sas.servlet.tbeans.remotefileselector2.html.InformationServicesSelector"%>
<%@ page import="com.sas.portal.portletsJSR.dashboard.DashboardPortlet"%>
<%@ page import="com.sas.portal.portletsJSR.common.BasePortlet"%>
<%@ page import="com.sas.portal.portletsJSR.util.PortletHelper"%>
<%@ page import="com.sas.portal.portlet.toolkit.util.ToolkitCommonStrings"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<%@ include file="../../../common/jsp/include/setThemeAttributes.jsp" %>

<script language="JavaScript" type="text/javascript">
    function <portlet:namespace />_cancelEdit() {
        try {
       	var action = document.getElementById("<portlet:namespace /><%=DashboardPortlet.FORM_ACTION%>");
        	action.value = "";
	        //document.<portlet:namespace />edit.submit();
        }
        catch(e) {
            alert(e.message);
        }
    }
    function <portlet:namespace />_submitEdit() {
        try {
 	        var action = document.getElementById("<portlet:namespace /><%=DashboardPortlet.FORM_ACTION%>");
	        action.value = "<%=DashboardPortlet.ACTION_UPDATE%>";
	        //document.<portlet:namespace />edit.submit();
        }
        catch(e) {
            alert(e.message);
        }
    }
    function <portlet:namespace />_clearSelection() {
        try {
        	var action = document.getElementById("<portlet:namespace /><%=DashboardPortlet.FORM_ACTION%>");
        	action.value = "<%=DashboardPortlet.ACTION_CLEAR_SELECTION%>";
         }
        catch(e) {
            alert(e.message);
        }
    }
	// remove non-numbers from height field                               
	function check(input){
	    if(!input.value.match(0-9)){ 
	            input.value = input.value.replace(/[^0-9]*/g,'');
	    }
	}
    function <portlet:namespace />_toggleRefesh() {
        var textbox = document.getElementById("<portlet:namespace /><%=DashboardPortlet.PARAM_REFRESH_INTERVAL%>");
        var checkbox = document.getElementById("<portlet:namespace />_refresh");
        textbox.disabled = !checkbox.checked;
    }
</script>
<fmt:setLocale value="${sas_portlet_locale}" />
<fmt:setBundle basename="com.sas.portal.portletsJSR.dashboard.res.Resources" />

<script language="JavaScript" type="text/javascript">
    function isFormValid() {
        var action = document.getElementById("<portlet:namespace /><%=DashboardPortlet.FORM_ACTION%>");
        if (action.value == "<%=DashboardPortlet.ACTION_UPDATE%>") {
            var checkbox = document.getElementById("<portlet:namespace />_refresh");
            if (checkbox.checked) {
                var textbox = document.getElementById("<portlet:namespace /><%=DashboardPortlet.PARAM_REFRESH_INTERVAL%>");
                if (textbox.value < 30) {
                    alert("<fmt:message key="dashboard.refreshinterval.invalid.msg.txt"/>");
                    return false;
                }
            }
        }
        return true;
    }
</script>
<%

/* Set up the RFS -- requires HTTP request/response */
    PortletSession ps = renderRequest.getPortletSession();
    InformationServicesSelector rfs = PortletRfsSession.getRfs(ps, null);
    if (rfs != null) {
        rfs.setRequest(request);
        rfs.setResponse(response);
        rfs.getActionProvider().executeCommand(request, response, null);
    }
    String selectedDashboard = (String)ps.getAttribute(DashboardPortlet.PARAM_DASHBOARD);
    pageContext.setAttribute("selectedDashboard", selectedDashboard);

/* get the portlet title */
String portletName = (String) ps.getAttribute(BasePortlet.PREF_PORTLET_TITLE);
if (portletName == null) {
    portletName = "";
}

String disableTitle = PortletHelper.getTitleDisabled(renderRequest.getPortletSession());

String portletWidth = (String) ps.getAttribute(DashboardPortlet.PARAM_WIDTH);
if (portletWidth == null) {
    portletWidth = DashboardPortlet.DEFAULT_WIDTH;
}

String portletHeight = (String) ps.getAttribute(DashboardPortlet.PARAM_HEIGHT);
if (portletHeight == null) {
    portletHeight = DashboardPortlet.DEFAULT_HEIGHT;
}

String portletAutoRefreshInterval = (String) ps.getAttribute(DashboardPortlet.PARAM_REFRESH_INTERVAL);
String autoRefeshDisabled = "";
String autoRefreshChecked = "checked";
// If no value, default to 30 second auto-refresh
if (portletAutoRefreshInterval == null) {
    portletAutoRefreshInterval = "30";
}
// If empty value, disable auto-refresh
else if (portletAutoRefreshInterval.trim().length() == 0) {
    autoRefreshChecked = "";
    portletAutoRefreshInterval = "30";
    autoRefeshDisabled = "disabled";
}
%>


<table class="dataEntryBG" border="0" cellpadding="0" cellspacing="0"
    width="100%">
    <tr>
        <td colspan="3">&nbsp;</td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td nowrap><fmt:message key="editor.task.description.txt" /></td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td> <% rfs.write(out);  %>
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>
    
<form name="<portlet:namespace />edit" id="<portlet:namespace />edit" method="post"
   action='<portlet:actionURL/>' onSubmit="return isFormValid()">
   <input type="hidden" id="<portlet:namespace /><%=DashboardPortlet.FORM_ACTION%>"
       name="<%=DashboardPortlet.FORM_ACTION%>"
       value="<%=DashboardPortlet.ACTION_UPDATE%>" /> 
	       
<c:if  test="${!empty selectedDashboard}">
    <tr>
        <td>&nbsp;</td>
        <td><fmt:message key="selected.dashboard.label.txt"/>&nbsp;
        <c:out value="${selectedDashboard}"/>&nbsp;
        <input class="button" type="submit"
	           onclick="<portlet:namespace />_clearSelection();"
               value='<fmt:message key="clear.button.txt"/>'
               alt='<fmt:message key="clear.button.txt"/>' />
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>
</c:if>

    <tr>
        <td colspan="3">
        <table border="0" cellpadding="0" cellspacing="6">
            <tr>
                <td nowrap><fmt:message key="javax.portlet.preference.name.portletName" /></td>
                <td class="celljustifyleft" nowrap>
                    <input type="text" name="<%=DashboardPortlet.PREF_PORTLET_TITLE%>"
                        <%= disableTitle %> value='<%=portletName%>' size="60"></td>
            </tr>
            <tr>
                <td nowrap><fmt:message key="dashboard.width.label.txt" /></td>
                <td class="celljustifyleft" nowrap><input type="text"
                    name="<%=DashboardPortlet.PARAM_WIDTH%>"
                    value='<%=portletWidth%>' size="10"
                    onkeyup="check(this);" ></td>
            </tr>
            <tr>
                <td nowrap><fmt:message key="dashboard.height.label.txt" /></td>
                <td class="celljustifyleft" nowrap><input type="text"
                     name="<%=DashboardPortlet.PARAM_HEIGHT%>"
                     value='<%=portletHeight%>' size="10"
                     onkeyup="check(this);" ></td>
            </tr>
            <tr>
                <td nowrap><fmt:message key="dashboard.refreshinterval.label.txt" /></td>
                <td class="celljustifyleft" nowrap>
                    <input type="checkbox" id="<portlet:namespace />_refresh" <%=autoRefreshChecked%>
                        onclick='<portlet:namespace />_toggleRefesh();' >&nbsp;
                    <fmt:message key="dashboard.refreshinterval.refresh.txt" />&nbsp;
                    <input type="text" id="<portlet:namespace /><%=DashboardPortlet.PARAM_REFRESH_INTERVAL%>" name="<%=DashboardPortlet.PARAM_REFRESH_INTERVAL%>"
                        value='<%=portletAutoRefreshInterval%>' size="5" <%=autoRefeshDisabled%>
                        onkeyup="check(this);" >&nbsp;
                    <fmt:message key="dashboard.refreshinterval.seconds.txt" />
                </td>
            </tr>
        </table>
        </td>
    </tr>
<!--    
    <tr>
        <td>&nbsp;</td>
        <td><fmt:message key="javax.portlet.preference.name.portletName" />&nbsp;
       		<input name="<%=DashboardPortlet.PREF_PORTLET_TITLE%>" value="<%=portletName%>" size="60" /> 
		</td>        
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td colspan="3" class="wizardMessageFooter" height="1"></td>
    </tr>
-->

   <tr class="buttonBar">
        <td colspan="3">
        <table border="0" cellpadding="6">
            <tr>
                <td><input class="button" type="submit"
	                    onclick="<portlet:namespace />_submitEdit();"
	                    value='<fmt:message key="save.button.txt"/>'
	                    alt='<fmt:message key="save.button.txt"/>' /> &nbsp;
                    <input class="button" type="submit"
                        onclick="<portlet:namespace />_cancelEdit();"
                        value='<fmt:message key="cancel.button.txt"/>'
                        alt='<fmt:message key="cancel.button.txt"/>' />
                </td>
            </tr>
        </table>
        </td>
    </tr>
</form>
</table>
<!-- END report/edit.jsp -->
