<!-- Copyright (c) 2002-2007 by SAS Institute Inc., Cary, NC 27513 USA. All Rights Reserved. -->
<!-- START layout.jsp -->
<%@ taglib uri="http://struts.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c"%>
<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas"%>
<%@ taglib uri="http://www.sas.com/taglib/sasportal" prefix="idportal"%>
<%@ taglib uri="http://www.sas.com/taglib/sasportlets" prefix="portlets"%>

<%@ page
    import="com.sas.portal.container.PortletRenderInfo,
            java.util.Locale,
            com.sas.portal.res.RB,
            com.sas.portal.Logger,
            com.sas.portal.PortalFactory" %>


<%
String methodName = "layout.jsp";
com.sas.common.util.MethodTimer timer = com.sas.common.util.MethodTimer.startTimer (methodName, request);
%>

<%String columnCount = (String) request.getAttribute("portalPageColumnCount");
%>

<script language="javascript" type="text/javascript">
    var callCount = 0;
    function showHelp(URL) {
        id = "portletHelp";
        var x = screen.width * .5;
        x = x - 200;
        var y = screen.height * .5;
        y = y - 100;
        window.helpWindow = window.open(URL, id, "resizable=yes,scrollbars=yes,width=400,height=200");
        window.helpWindow.moveTo(x, y);
        window.helpWindow.focus();
    }
</script>

<c:if test="${pageEditMode != true}">
    <portlets:column name="portletList" id="portlet" columns="<%=columnCount%>">
        <portlets:cell>
            <%  PortletRenderInfo pri = (PortletRenderInfo) request.getAttribute("currentPortletRenderInfo");
                String minMaxIcon = pri.getModeIcon();
                String minMaxIconAltText = pri.getModeIconAltText();%>
            <c:if test="${currentPortletRenderInfo.url != null}">
                <!-- Portlet content goes here -->
                <table cellpadding="2" cellspacing="0" width="100%" class="portletTableBorder">
                    <!-- Begin Portlet frame decorations -->
                    <tr class="portletTableHeader">
                        <td valign="middle" nowrap align="left" class="portletTableHeaderLeft">
                        &nbsp;<c:out value="${currentPortletRenderInfo.title}" /></td>
                        <td align="right" class="portletTableHeaderRight">
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td nowrap valign="middle"><i><font size="1"> <c:out
                                    value="${currentPortletRenderInfo.sharedBy}" /></font></i></td>
                                <td>&nbsp;</td>
                                <td nowrap valign="middle"><img
                                    src='<idportal:ThemeImage image="portlet_Pipe" />' alt=""
                                    width="1" height="15" valign="middle" border="0"></td>
                                <td>&nbsp;</td>

                                <c:if test="${currentPortletRenderInfo.helpUrl != null}">
                                    <td><a href="javascript:showHelp('<c:out value="${currentPortletRenderInfo.helpUrl}" />');">
                                        <img src='<idportal:ThemeImage image="portlet_Help"/>' valiagn="top" border="0"
                                        alt='<idportal:Text key="tool.help.txt"/>'
                                        title='<idportal:Text key="tool.help.txt"/>'></a></td>
                                       <td>&nbsp;</td>
	                                <td nowrap valign="middle"><img
	                                    src='<idportal:ThemeImage image="portlet_Pipe" />' alt=""
	                                    width="1" height="15" valign="middle" border="0"></td>
	                                <td>&nbsp;</td>
                                </c:if>

                                <idportal:LoginCheck>

                                    <c:if test="${currentPortletRenderInfo.editUrl != null}">
                                        <td nowrap valign="middle"><a
                                            href='<c:out value="${currentPortletRenderInfo.editUrl}" />'
                                            target="_self"
                                            onclick='return submitDisableAllAnchors(callCount++);'>
                                        <img src='<idportal:ThemeImage image="portlet_Note" />'
                                            valign="middle" border="0"
                                            alt='<idportal:Text key="EditNote.image.alt.txt"/>'
                                            title='<idportal:Text key="EditNote.image.alt.txt"/>'>
                                        </a></td>
                                        <td>&nbsp;</td>
                                        <td nowrap valign="middle"><img
                                            src='<idportal:ThemeImage image="portlet_Pipe" />'
                                            alt="" width="1" height="15" valign="middle" border="0">
                                        </td>
                                        <td>&nbsp;</td>
                                    </c:if>

                                    <c:if
                                        test="${currentPortletRenderInfo.editPropertiesUrl != null}">
                                        <td nowrap valign="middle"><a
                                            href='<c:out value="${currentPortletRenderInfo.editPropertiesUrl}" />'
                                            target="_self"
                                            onclick='return submitDisableAllAnchors(callCount++);'>
                                        <img src='<idportal:ThemeImage image="portlet_Prop" />'
                                            valign="middle" border="0"
                                            alt='<idportal:Text key="EditProp.image.alt.txt"/>'
                                            title='<idportal:Text key="EditProp.image.alt.txt"/>'>
                                        </a></td>
                                        <td>&nbsp;</td>
                                        <td nowrap valign="middle"><img
                                            src='<idportal:ThemeImage image="portlet_Pipe" />'
                                            alt="" width="1" height="15" valign="middle" border="0">
                                        </td>
                                        <td>&nbsp;</td>
                                    </c:if>

			                        <td nowrap valign="top"><a
			                            href='<c:out value="${currentPortletRenderInfo.modeActionURL}" />'>
			                        <img src='<idportal:ThemeImage image="<%= minMaxIcon%>"/>' width="16" height="16" valign="top" border="0"
			                            alt='<idportal:Text key="<%= minMaxIconAltText%>"/>'
			                            title='<idportal:Text key="<%= minMaxIconAltText%>"/>'> </a>
			                        </td>
		                        	<td>&nbsp;</td>
		                            <td nowrap valign="middle"><img
		                                src='<idportal:ThemeImage image="portlet_Pipe" />'
		                                alt="" width="1" height="15" valign="middle" border="0">
		                            </td>
		                            <td>&nbsp;</td>
		                            
		                            <c:if test="${currentPortletRenderInfo.removeUrl != null}">
		                                <td nowrap valign="middle"><a
		                                    href='<c:out value="${currentPortletRenderInfo.removeUrl}" />'
		                                    target="_self"
		                                    onclick='return submitDisableAllAnchors(callCount++);'>
		                                <img src='<idportal:ThemeImage image="portlet_Close" />'
		                                    valign="middle" border="0"
		                                    alt='<idportal:Text key="Remove.image.alt.txt"/>'
		                                    title='<idportal:Text key="Remove.image.alt.txt"/>'>
		                                </a></td>
		                                <td>&nbsp;</td>
		                            </c:if>

	                             </idportal:LoginCheck>
	                                
                            </tr>
                        </table>
                        </td>
                    </tr>
                    <!-- End portlet decorations -->
                    <tr>
                        <td colspan="2">
                        <div style='<c:out value="${currentPortletRenderInfo.modeStyle}" />'>
                        <%
                            try {
                        %>
                            <idportal:insert name="url" />
                        <%
                        } catch (Throwable t) {
                            // We need to catch exceptions here to avoid aborting the layout process
                            Locale loc = PortalFactory.getLocale(request);
                            String portletErrorStr = RB.getStringResource("error_remote_portlet_invocation.msg.txt", loc);
                            Logger.error(t.getMessage(), "layout.jsp ", t, request);
                        %>
                            <%= portletErrorStr %>
                        <%
                            }
                        %>
                        </td>
                    </tr>
                </table>
            </c:if>
        </portlets:cell>
    </portlets:column>
</c:if>
<c:if test="${pageEditMode == true}">
    <portlets:column name="portletList" id="portlet" columns="<%=columnCount%>">
        <portlets:cell>
            <%
            PortletRenderInfo pri = (PortletRenderInfo) request.getAttribute("currentPortletRenderInfo");
            request.setAttribute("bannerSecondaryTitle", pri.getTitle());
            %>
            <idportal:insert name="url" />
        </portlets:cell>
    </portlets:column>
</c:if>

<%
timer.stopTimer();
%>

<!-- END layout.jsp -->

